GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
String | getShipmentReference ()
void | setShipmentReference (String value)
String | getShipmentUnitReference ()
void | setShipmentUnitReference (String value)
String | getParcelNumber ()
void | setParcelNumber (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)

## Protected Attributes
String | trackID
String | shipmentReference
String | shipmentUnitReference
String | parcelNumber
String | partnerParcelNumber

## Detailed Description

ReferenceData attributes (getTUPOD request)

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <choice>
              <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
              <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
              <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
              <element name="ParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
              <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
            </choice>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 48 of file TUPReferenceData.java.

## Member Function Documentation

## ◆ getParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.getParcelNumber | ( |  | ) |

Gets the value of the parcelNumber property.

Returns
  possible object is String

Definition at line 141 of file TUPReferenceData.java.

## ◆ getPartnerParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 165 of file TUPReferenceData.java.

## ◆ getShipmentReference()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

Returns
  possible object is String

Definition at line 93 of file TUPReferenceData.java.

## ◆ getShipmentUnitReference()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

Returns
  possible object is String

Definition at line 117 of file TUPReferenceData.java.

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 69 of file TUPReferenceData.java.

## ◆ setParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.setParcelNumber | ( | String | value | ) |

Sets the value of the parcelNumber property.

Parameters

  value | allowed object is String

Definition at line 153 of file TUPReferenceData.java.

## ◆ setPartnerParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 177 of file TUPReferenceData.java.

## ◆ setShipmentReference()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.setShipmentReference | ( | String | value | ) |

Sets the value of the shipmentReference property.

Parameters

  value | allowed object is String

Definition at line 105 of file TUPReferenceData.java.

## ◆ setShipmentUnitReference()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.setShipmentUnitReference | ( | String | value | ) |

Sets the value of the shipmentUnitReference property.

Parameters

  value | allowed object is String

Definition at line 129 of file TUPReferenceData.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 81 of file TUPReferenceData.java.

## Member Data Documentation

## ◆ parcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.parcelNumber
| protected

Definition at line 57 of file TUPReferenceData.java.

## ◆ partnerParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.partnerParcelNumber
| protected

Definition at line 59 of file TUPReferenceData.java.

## ◆ shipmentReference

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.shipmentReference
| protected

Definition at line 53 of file TUPReferenceData.java.

## ◆ shipmentUnitReference

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.shipmentUnitReference
| protected

Definition at line 55 of file TUPReferenceData.java.

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUPReferenceData.trackID
| protected

Definition at line 51 of file TUPReferenceData.java.

The documentation for this class was generated from the following file:

- TUPReferenceData.java